\begin{tikzpicture}[framed]
  \draw [help lines] (-3, -3) grid (3, 3);

  \draw [ultra thick, draw]
    (0,-2) .. controls (1.5,-1) and (1.5,1) .. (1, 2);

  \draw [ultra thick, draw]
    (0,2) .. controls (-1.5,1.5) and (-1.5,-1) .. (-2, -2);

  \node (robot1) [circle, draw, ultra thick, fill=gray!50, minimum size=0.5] at (0,2) {1};
  \node (robot2) [circle, draw, ultra thick, fill=gray!50, minimum size=0.5] at (0,-2) {2};
\end{tikzpicture}
